# draugr.drawers.mpl_drawers.mpldrawer.MockDrawer

class draugr.drawers.mpl_drawers.mpldrawer.MockDrawer(*, default_delta: float = 0.008333333333333333, render: bool = True, placement: Optional [ Tuple [ int , int ]] = None, **kwargs)

  Bases: `MplDrawer`

  Mock for drawer, accepts data but draws nothing

  __init__(*, default_delta: float = 0.008333333333333333, render: bool = True, placement: Optional [ Tuple [ int , int ]] = None, **kwargs)
    Parameters

      - default_delta –

      - render –

      - placement –

      - kwargs –

  Methods

  `__init__`(*[, default_delta, render, placement])

  param default_delta

  `close`() | description
  `draw`(data[, delta]) | description
  `move_figure`(figure[, x, y]) | Move figure's upper left corner to pixel (x, y)

  Attributes

  close()

    description

  draw(data: Any, delta: Optional [ float ] = None)

    description

  static move_figure(figure: Figure, x: int = 0, y: int = 0)

    Move figure’s upper left corner to pixel (x, y)

  n

    fig_manager = pyplot.get_current_fig_manager() geom = fig_manager.window.geometry() x, y, dx, dy = geom.getRect() fig_manager.window.setGeometry(*placement, dx, dy) fig_manager.window.SetPosition((500, 0))